# Uses of Interface
org.codehaus.plexus.util.cli.Arg

Packages that use Arg
Package
Description
org.codehaus.plexus.util.cli
Command-line utilities.

## Uses of Arg in org.codehaus.plexus.util.cli

Classes in org.codehaus.plexus.util.cli that implement Arg
Modifier and Type
Class
Description
`static class`
`Commandline.Argument`
Fields in org.codehaus.plexus.util.cli with type parameters of type Arg
Modifier and Type
Field
Description
`protected Vector<Arg>`
Commandline.`arguments`
Methods in org.codehaus.plexus.util.cli that return Arg
Modifier and Type
Method
Description
`Arg`
Commandline.`createArg()`
Creates an argument object.
`Arg`
Commandline.`createArg(boolean insertAtStart)`
Methods in org.codehaus.plexus.util.cli with parameters of type Arg
Modifier and Type
Method
Description
`void`
Commandline.`addArg(Arg argument)`
`void`
Commandline.`addArg(Arg argument, boolean insertAtStart)`
Adds an argument object to our list of args.